/***
 * MemoryBuffer.h
 *
 *  Routines that will manage a small section of data that will never
 *  be reallocated...
 *
 ***/

#pragma once

OSErr	NewMemoryBuffer (Handle *buffer, short initalSize, short increaseSize);

OSErr	DisposeMemoryBuffer (Handle buffer);

OSErr	MBSaveString (Handle buffer, char *string, short length, short *offset);

OSErr	MBAllocateBuffer (Handle buffer, short length, short *offset);

OSErr	MBGetPString (Handle buffer, short offset, StringPtr outString);

OSErr	MBGetLString (Handle buffer, short offset, char *dest, short *lenght);

OSErr	MBConcatLStr (char *s1, short s1Len, Handle buffer, short offset,
			char *dest, short destBufferLen, short *destUsed);